<?php
	
declare(strict_types=1);

namespace D3\ManufacturerInformation\Events;


use OxidEsales\Eshop\Core\DatabaseProvider;

class Events
{
	public static function activate()
	{
		self::d3AddLongdescColumnsToOxmanufacturers();
	}
	
	public static function deActivate()
	{
	
	
	}
	
	/**
	 * @return bool
	 * @throws Exception
	 */
	protected static function d3AddLongdescColumnsToOxmanufacturers()
	{
		try {
			DatabaseProvider::getDb(DatabaseProvider::FETCH_MODE_ASSOC)->execute("
				ALTER TABLE oxmanufacturers ADD COLUMN D3DESCRIPTION TEXT NOT NULL DEFAULT '';
				ALTER TABLE oxmanufacturers ADD COLUMN D3DESCRIPTION_1 TEXT NOT NULL DEFAULT '';
				ALTER TABLE oxmanufacturers ADD COLUMN D3DESCRIPTION_2 TEXT NOT NULL DEFAULT '';
				ALTER TABLE oxmanufacturers ADD COLUMN D3DESCRIPTION_3 TEXT NOT NULL DEFAULT '';
			");
		} catch (\Exception $e) {
			if ((string)$e->getCode() === '1054') {
				return true;
			}
			throw $e;
		}
		
		return false;
	}
}